public class Hanoi {

    public static void bewege(
            int n, // Anzahl der Scheiben 'n'
            char start, // liegen auf 'start'-Platz
            char hilfe, // (mithilfe des 'hilfe'-Platzes)
            char ziel) { // muessen auf 'ziel'-Platz
        if (n == 1) {
            System.out.println("Scheibe 1 von " + start + " nach " + ziel);
        } else {
            bewege(n - 1, start, ziel, hilfe);
            System.out.println("Scheibe " + n + " von " + start + " nach " + ziel);
            bewege(n - 1, hilfe, start, ziel);
        }
    }

    public static void main(String argv[]) {
        int n;
        System.out.print("Anzahl der Scheiben: ");
        n = Keyboard.readInt();
        if (n > 0) {
            System.out.println("Scheibenbewegungen:");
            bewege(n, 'A', 'B', 'C');
        } else {
            System.out.println("Zahl nicht positiv");
        }
    }
}
